import React from 'react';
import Recipe from './recipe';
import {Col, Row} from 'reactstrap';

const Menu = ({recipes=[]}) => {
  return (
    <div>
      <Row>
        <Col>
          <h1 className="text-white bg-dark">Delicious Recipes</h1>
        </Col>
      </Row>
      <Row>
        {recipes.map(({node}) => {
          return (
            <Col key={node.__id} md="6" xl="4">
              <Recipe recipe={node}/>
            </Col>
          );
        })}
      </Row>
    </div>
  );
}

export default Menu;
