import React from 'react';
import Ingredient from './ingredient';

const IngredientsList = ({list=[]}) => {
  return (
    <ul>
      {list.map((item, i) =>
        <Ingredient key={i} item={item}/>
      )}
    </ul>
  );
}

export default IngredientsList;
